Bug 1031842 - Add link checking to the docbuilder/pressgang
Add link checking to the docbuilder/pressgang
Status: ON_QA
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
1.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 19:09 EST by Tim Hildred
Modified: 2017-07-06 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Hildred 2013-11-18 19:09:00 EST
There are times that it would be a boon to document usability if we could deeply link to other content. 

The cost of this has been high, because it is an external moving piece that we would have to check up on and maintain. 

It would be great if the CCMS could check to see that all links actually have non-404 endpoints. 

Addition functionality could include some mouse-over title checker, or other way of checking, to see that the content today is what it was when you linked to it.
Comment 1 David O'Brien 2013-12-08 20:28:50 EST
This assumes that ECS is going to adopt deep linking, something that hasn't been established.

I'm all for the idea, but it requires that ppl use pressgang, and not everybody does.

Let's establish requirements first.
Comment 2 Joshua Wulf 2013-12-08 21:35:23 EST
This looks like a request for generic link validity checking. Checking all <a href> targets in a document for a 404 response seems like a sensible thing to do, and a low-hanging fruit.

It would be *part* of an eventual larger "deep-linking into other ECS content" solution, but it's valuable in its own right.

Note You need to log in before you can comment on or make changes to this bug.